{% extends 'base.html.twig' %}

{% block body %}
    <h1>Posts</h1>
    <table  class="table table-dark">
        <thead>
            <tr>
                <th>Title</th>
                <th>Published at</th>
                <th>Views</th>
                <th>Actions</th>
            </tr>
        </thead>

        {% for post in postsPagination %}
            <tr>
                <td>
                    {{ post.title }}
                </td>
                <td>
                    {{ post.publishedAt|date('Y-m-d') }}
                </td>
                <td>
                    {{ post.viewsCount }}
                </td>
                <td>
                    <a href="{{ path('app_post_view', {'slug': post.slug}) }}">View</a>
                </td>
            </tr>

        {% else %}
            <tr>
                <td>There are no posts meeting the criteria.</td>
            </tr>
        {% endfor %}
    </table>


    {{ knp_pagination_render(postsPagination) }}

{% endblock %}
